Bug 1630860 - [abrt] xfce4-settings: convert_xfce_output_info(): xfce4-display-settings killed by SIGSEGV
Summary: [abrt] xfce4-settings: convert_xfce_output_info(): xfce4-display-settings kil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-settings
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:41546a25327b7a3796ed5360aac...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-19 12:56 UTC by Prasanna V. Loganathar
Modified: 2019-06-18 03:45 UTC (History)
2 users (show)

Fixed In Version: xfce4-settings-4.13.6-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:02:06 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (52.32 KB, text/plain)
2018-09-19 12:56 UTC, Prasanna V. Loganathar
no flags Details
File: cgroup (331 bytes, text/plain)
2018-09-19 12:56 UTC, Prasanna V. Loganathar
no flags Details
File: core_backtrace (24.24 KB, text/plain)
2018-09-19 12:56 UTC, Prasanna V. Loganathar
no flags Details
File: cpuinfo (1.07 KB, text/plain)
2018-09-19 12:57 UTC, Prasanna V. Loganathar
no flags Details
File: dso_list (7.67 KB, text/plain)
2018-09-19 12:57 UTC, Prasanna V. Loganathar
no flags Details
File: environ (1.35 KB, text/plain)
2018-09-19 12:57 UTC, Prasanna V. Loganathar
no flags Details
File: exploitable (82 bytes, text/plain)
2018-09-19 12:57 UTC, Prasanna V. Loganathar
no flags Details
File: limits (1.29 KB, text/plain)
2018-09-19 12:57 UTC, Prasanna V. Loganathar
no flags Details
File: maps (39.78 KB, text/plain)
2018-09-19 12:57 UTC, Prasanna V. Loganathar
no flags Details
File: mountinfo (3.47 KB, text/plain)
2018-09-19 12:57 UTC, Prasanna V. Loganathar
no flags Details
File: open_fds (585 bytes, text/plain)
2018-09-19 12:57 UTC, Prasanna V. Loganathar
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-09-19 12:57 UTC, Prasanna V. Loganathar
no flags Details

Description Prasanna V. Loganathar 2018-09-19 12:56:43 UTC
Description of problem:
Simply attempting to open display settings

Version-Release number of selected component:
xfce4-settings-4.12.3-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        xfce4-display-settings --socket-id=48235260
crash_function: convert_xfce_output_info
executable:     /usr/bin/xfce4-display-settings
journald_cursor: s=f8257d77321545088105b817bed19af2;i=541;b=2f341aab5a984d7296ad7b08c976ed98;m=2be57ed;t=57638db1ac767;x=36cb75d12488515c
kernel:         4.16.3-301.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 convert_xfce_output_info at main.c:1665
 #1 list_connected_outputs at main.c:1836
 #2 on_area_paint at main.c:2662
 #7 foo_scroll_area_expose at scrollarea.c:522
 #8 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:84
 #13 gtk_widget_event_internal at gtkwidget.c:5017
 #14 gtk_widget_send_expose at gtkwidget.c:4846
 #15 gtk_container_propagate_expose at gtkcontainer.c:2757
 #16 gtk_container_expose at gtkcontainer.c:2661
 #17 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:84

Potential duplicate: bug 1337269

Comment 1 Prasanna V. Loganathar 2018-09-19 12:56:54 UTC
Created attachment 1484712 [details]
File: backtrace

Comment 2 Prasanna V. Loganathar 2018-09-19 12:56:55 UTC
Created attachment 1484713 [details]
File: cgroup

Comment 3 Prasanna V. Loganathar 2018-09-19 12:56:59 UTC
Created attachment 1484714 [details]
File: core_backtrace

Comment 4 Prasanna V. Loganathar 2018-09-19 12:57:01 UTC
Created attachment 1484715 [details]
File: cpuinfo

Comment 5 Prasanna V. Loganathar 2018-09-19 12:57:03 UTC
Created attachment 1484716 [details]
File: dso_list

Comment 6 Prasanna V. Loganathar 2018-09-19 12:57:04 UTC
Created attachment 1484717 [details]
File: environ

Comment 7 Prasanna V. Loganathar 2018-09-19 12:57:06 UTC
Created attachment 1484718 [details]
File: exploitable

Comment 8 Prasanna V. Loganathar 2018-09-19 12:57:07 UTC
Created attachment 1484719 [details]
File: limits

Comment 9 Prasanna V. Loganathar 2018-09-19 12:57:14 UTC
Created attachment 1484720 [details]
File: maps

Comment 10 Prasanna V. Loganathar 2018-09-19 12:57:16 UTC
Created attachment 1484721 [details]
File: mountinfo

Comment 11 Prasanna V. Loganathar 2018-09-19 12:57:17 UTC
Created attachment 1484722 [details]
File: open_fds

Comment 12 Prasanna V. Loganathar 2018-09-19 12:57:19 UTC
Created attachment 1484723 [details]
File: proc_pid_status

Comment 13 Mukundan Ragavan 2018-09-20 01:42:53 UTC
Were you able to use the settings window at all?

Comment 14 Ben Cotton 2019-05-02 20:52:37 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora Update System 2019-05-18 13:49:41 UTC
xfce4-settings-4.13.6-1.fc30 xfce4-appfinder-4.13.3-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cfc156acd7

Comment 16 Fedora Update System 2019-05-19 00:51:08 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cfc156acd7

Comment 17 Prasanna V. Loganathar 2019-05-19 01:57:29 UTC
@nonamedotc - Sorry for the delayed reply! 

I'm afraid I don't really remember the specifics. However, I don't I was able to open settings at all during this. Hope it helps! 
Cheers :)

Comment 18 Ben Cotton 2019-05-28 19:02:06 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 19 Fedora Update System 2019-06-18 00:54:50 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-06-18 03:45:43 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.